=head1 NAME

fcm test-battery

=head1 SYNOPSIS

Run FCM self tests.

    fcm test-battery [...]

=head1 ARGUMENTS

Change directory to the FCM source tree, and runs this shell commmand:

    exec prove -j "${NPROC:-9}" -s -r "${@:-t}"

where NPROC is the number of processors on your computer. You can override the
L<prove|prove> command line by specifying extra arguments. E.g. If you do not
want to run the full test suite, you can specify the names of individual test
files or their containing directories as extra arguments. For example:

Run the full test suite with the default options.

    fcm test-battery

Run the full test suite with 12 processes.

    fcm test-battery -j 12

Run only tests under C<t/fcm-make/> with 12 processes.

    fcm test-battery -j 12 t/fcm-make

Run only C<t/fcm-make/10-log.t> in verbose mode.

    fcm test-battery -v t/fcm-make/10-log.t

=head1 OPTIONS

Environment variables:

=over 4

=item TEST_PROJECT

If this is set, run CM tests using a project sub-hierarchy in the test
repositories.

=item TEST_REMOTE_HOST

If this is set, run CM tests using an auto-generated Subversion server on the
host specified.

=back

=cut
